@echo off
set origem="V$PagueClient.NEW"
set destino="C:\VBI\V$Pague\Client\V$PagueClient.NEW"
set processo="VSPagueClient.exe"
set caminho_processo="C:\VBI\V$Pague\Client\V$PagueClient.bat"
set host=-h app-prod-2.destaxa.cloud -p 60606

echo Origem: %origem%
echo Destino: %destino%
echo Processo: %processo%


copy %origem% %destino%


if %errorlevel% equ 0 (
    echo O arquivo foi copiado com sucesso!
	
    rem verificando se o processo está ativo
	tasklist /FI "IMAGENAME eq %processo%" 2>NUL | findstr /I /C:"%processo%" >NUL
	if %errorlevel% equ 0 (
	rem matando o processo
    taskkill /IM %processo% /F
	) else (
    echo O processo %processo% nao esta em execucao.
)
	
	
	
    rem Iniciar o processo novamente
	echo ==============================================================
	echo Iniciando o VSPagueClient!
	echo ==============================================================
    call %caminho_processo% %host%
	timeout /t 1 /nobreak
	echo ==============================================================
	echo VSPagueClient iniciado!
	echo ==============================================================
) else (
    echo Falha ao copiar o arquivo.
)

rem Mantém a mensagem na tela
timeout /t 5 /nobreak